# frozen_string_literal: true

require_relative "lib/pears/version"

Gem::Specification.new do |spec|
  spec.name          = "pears"
  spec.version       = Pears::VERSION
  spec.authors       = ["Steven Kemp"]
  spec.email         = ["steven@remarkgroup.com"]

  spec.summary       = "An overly complicated library for juggling configuration data."
  spec.homepage      = "https://bitbucket.org/ivaldi/rubygems-pears/src/master/"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.7.4"

  spec.metadata["homepage_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency 'dry-configurable', '>= 0.13.0'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'redis'

  spec.add_development_dependency 'byebug'
  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
